Bug 825861 - [Storage][Floating disk] Snapshots with illegal disks are being created from floating disks.
[Storage][Floating disk] Snapshots with illegal disks are being created from ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.0
Assigned To: Liron Aravot
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 14:56 EDT by Leonid Natapov
Modified: 2016-02-10 11:57 EST (History)
10 users (show)

See Also:
Fixed In Version: SI15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:02:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image (151.10 KB, image/jpeg)
2012-05-28 14:56 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2012-05-28 14:56:03 EDT
Created attachment 587283 [details]
image

[Storage][Floating disk] Snapshots with illegal disks are being created from floating disks.

How to reproduce:
1.In webadmin go to disks tab and create several disks.
2.Create VM without disks.
3.Add created floating disks disks to VM (VM's disk tab-->add--->attach)
4.Go to VM's snapshots tab and create snapshot.

As a result clone VM from snapshot can not be done. All snapshot operations fail with exception. 

Snapshot created with illegal disk. Look at attached picture.
No errors in engine log and vdsm log.


If disk is created while adding disk to VM (a regular procedure) everything works ok.
Comment 1 Liron Aravot 2012-07-08 08:23:09 EDT
tried to reproduce with no luck - worked as expected.
Comment 2 Leonid Natapov 2012-07-09 06:30:21 EDT
reproduces on si9.
Comment 3 Liron Aravot 2012-07-11 09:23:42 EDT
solved by the solution patch for bug 834004 
https://bugzilla.redhat.com/show_bug.cgi?id=834004

gerrit link:
http://gerrit.ovirt.org/#/c/5718/
Comment 5 Leonid Natapov 2012-08-22 05:48:18 EDT
fixed. si15.

Note You need to log in before you can comment on or make changes to this bug.